P2OSPacket Class Reference

## Public Member Functions

int | CalcChkSum ()
void | Print ()
void | PrintHex ()
int | Build (unsigned char *data, unsigned char datasize)
int | Send (int fd)
int | Receive (int fd, bool ignore_checksum)
bool | Check (bool ignore_checksum=false)
bool | operator!= (P2OSPacket p)

## Public Attributes

unsigned char | packet [PACKET_LEN]
unsigned char | size
double | timestamp

The documentation for this class was generated from the following files:

- p2os/packet.h
- p2os/packet.cc

Last updated 12 September 2005 21:38:45